Package org.eclipse.emf.cdo.common.id

# Interface CDOIdentifiable

All Known Subinterfaces:
  `CDOIDAndBranch`, `CDOIDAndVersion`, `CDOLockDelta`, `CDOLockState`, `CDORevision`, `CDORevisionCache.EvictionEvent`, `CDORevisionDelta`, `CDORevisionKey`, `InternalCDOLockState`, `InternalCDORevision`, `InternalCDORevisionDelta`

All Known Implementing Classes:
  `AbstractCDOLockState`, `AbstractCDORevision`, `BaseCDORevision`, `DelegatingCDORevision`, `DetachedCDORevision`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

public interface CDOIdentifiable
An identifiable object.

Since:
  4.3
Author:
  Eike Stepper
See Also:
  - `CDOIDUtil.getCDOID(Object)`

## Method Summary

Modifier and Type
Method
Description
`CDOID`
`getID()`

## Method Details

### getID

CDOID getID()